Bug 1298156 - Removing a node from one cluster and adding it to another cluster does not work.
Removing a node from one cluster and adding it to another cluster does not work.
Status: CLOSED WONTFIX
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: rhsc (Show other bugs)
3.1
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Shubhendu Tripathi
RHS-C QE
: ZStream
Depends On: 1311384
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-13 06:16 EST by RamaKasturi
Modified: 2016-05-18 04:45 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Known Issue
Doc Text:
Cause: gluster processes are stopped when moving host to maintenance. Consequence: Removing a host does not detach peer successfully as glusterd is not running on the host Workaround (if any): Remove peers, volume entries under /var/lib/glusterd from the host Result: Host can be added to another cluster
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-18 04:45:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description RamaKasturi 2016-01-13 06:16:37 EST
Description of problem:
Have a two clusters say cluster1 and cluster2 with two nodes each. Now move one of the node in cluster1 to maintenance and remove it from the cluster. Adding the node which was removed to another cluster i.e cluster2 does not work.

Version-Release number of selected component (if applicable):
rhsc-3.1.2-0.70.el6.noarch

How reproducible:
Always

Steps to Reproduce:
1. Create two clusters say cluster1 and cluster2.
2. Add two nodes to cluster1 and another two nodes to cluster2.
3. Now move one of the node to maintenance in cluster1 and remove it from cluster1.
4. Try adding the same node to cluster2.

Actual results:
Host installation fails with error Failed to add host into cluster and host status is non operational.

Expected results:
Host should be added sucessfully.

Additional info:
Comment 2 Sahina Bose 2016-01-13 06:36:33 EST
Putting node to maintenance stops all gluster processes on host. While removing this host, the peer detach fails to remove entries under /var/lib/glusterd as glusterd process is not running on host - causing this error
Comment 7 Sahina Bose 2016-02-24 01:18:30 EST
There should be an option to not stop gluster service when a node is moved to maintenance. Once that is taken in, this can be closed wontfix
Comment 8 Ramesh N 2016-02-24 01:50:57 EST
(In reply to Sahina Bose from comment #7)
> There should be an option to not stop gluster service when a node is moved
> to maintenance. Once that is taken in, this can be closed wontfix

Yes. We will take the bz#1311384 to add this option in the maintenance host pop-up and close this bug as won't fix. We should document all the flow well in Admin guide.
Comment 10 Ramesh N 2016-05-18 04:45:49 EDT
Closing this as per comment comment#8.

Note You need to log in before you can comment on or make changes to this bug.